VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements:
[legend]

## Public Member Functions

| operator VkSparseImageMemoryRequirements const & () const
| operator VkSparseImageMemoryRequirements & ()
bool | operator== (SparseImageMemoryRequirements const &rhs) const
bool | operator!= (SparseImageMemoryRequirements const &rhs) const

## Data Fields

SparseImageFormatProperties | formatProperties
uint32_t | imageMipTailFirstLod
DeviceSize | imageMipTailSize
DeviceSize | imageMipTailOffset
DeviceSize | imageMipTailStride

## Detailed Description

Definition at line 26020 of file vulkan.hpp.

## Member Function Documentation

## operator VkSparseImageMemoryRequirements &()

VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements::operator VkSparseImageMemoryRequirements & | ( |  | ) |

inline

Definition at line 26027 of file vulkan.hpp.

{
return *reinterpret_cast<VkSparseImageMemoryRequirements*>(this);
}

## operator VkSparseImageMemoryRequirements const &()

VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements::operator VkSparseImageMemoryRequirements const & | ( |  | ) | const

inline

Definition at line 26022 of file vulkan.hpp.

{
return *reinterpret_cast<const VkSparseImageMemoryRequirements*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements::operator!= | ( | SparseImageMemoryRequirements const & | rhs | ) | const

inline

Definition at line 26041 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements::operator== | ( | SparseImageMemoryRequirements const & | rhs | ) | const

inline

Definition at line 26032 of file vulkan.hpp.

{
return ( formatProperties == rhs.formatProperties )
&& ( imageMipTailFirstLod == rhs.imageMipTailFirstLod )
&& ( imageMipTailSize == rhs.imageMipTailSize )
&& ( imageMipTailOffset == rhs.imageMipTailOffset )
&& ( imageMipTailStride == rhs.imageMipTailStride );
}

References formatProperties, imageMipTailFirstLod, imageMipTailOffset, imageMipTailSize, and imageMipTailStride.

Referenced by operator!=().

## Field Documentation

## formatProperties

SparseImageFormatProperties VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements::formatProperties

Definition at line 26046 of file vulkan.hpp.

Referenced by operator==().

## imageMipTailFirstLod

uint32_t VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements::imageMipTailFirstLod

Definition at line 26047 of file vulkan.hpp.

Referenced by operator==().

## imageMipTailOffset

DeviceSize VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements::imageMipTailOffset

Definition at line 26049 of file vulkan.hpp.

Referenced by operator==().

## imageMipTailSize

DeviceSize VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements::imageMipTailSize

Definition at line 26048 of file vulkan.hpp.

Referenced by operator==().

## imageMipTailStride

DeviceSize VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements::imageMipTailStride

Definition at line 26050 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements::imageMipTailStride
DeviceSize imageMipTailStride
Definition: vulkan.hpp:26050
VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements::imageMipTailFirstLod
uint32_t imageMipTailFirstLod
Definition: vulkan.hpp:26047
VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements::imageMipTailOffset
DeviceSize imageMipTailOffset
Definition: vulkan.hpp:26049
VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements::operator==
bool operator==(SparseImageMemoryRequirements const &rhs) const
Definition: vulkan.hpp:26032
VkSparseImageMemoryRequirements
Definition: vulkan_core.h:2098
VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements::formatProperties
SparseImageFormatProperties formatProperties
Definition: vulkan.hpp:26046
VULKAN_HPP_NAMESPACE::SparseImageMemoryRequirements::imageMipTailSize
DeviceSize imageMipTailSize
Definition: vulkan.hpp:26048